@ rem ------------------------------------------
@ rem This demo application requires a server running the objspawn service
@ rem The application has these connection parameters
@ rem hardcoded into the MainFrame.java source.  Adjust the source
@ rem to meet your installations configurations.  Then run this
@ rem batch file.
@ rem
@ rem   hostname - extreme
@ rem   portname - 5307
@ rem   username - app01
@ rem   password - sugi30
@ rem ------------------------------------------

@ rem ------------------------------------------
@ rem change sasroot to match your SAS installation
@ rem ------------------------------------------

set sasroot=c:\opt\sas\v913

set misc=%sasroot%\core\sasmisc

@ rem ------------------------------------------
@ rem place iom classes on classpath
@ rem ------------------------------------------

set classpath=
set classpath=%misc%\sas.core.jar;%classpath%
set classpath=%misc%\sas.svc.connection.jar;%classpath%

@ rem ------------------------------------------
@ rem place form layout classes on classpath
@ rem ------------------------------------------

set classpath=.\AbsoluteLayout.jar;%classpath%

@ rem ------------------------------------------
@ rem compile demo application into classes\ folder
@ rem ------------------------------------------

if not exist classes mkdir classes
C:\jdk1.5.0\bin\javac -d classes\ src\iomdemo\MainFrame.java

@ rem ------------------------------------------
@ rem add classes\ folder classpath and run application
@ rem ------------------------------------------

set classpath=.\classes\;%classpath%
C:\jdk1.5.0\bin\java iomdemo.MainFrame
